alpm_trans(3)

NAME
alpm_trans - Transaction Functions

Functions to manipulate libalpm transactions.

  Functions
int alpm_trans_init (alpm_handle_t *handle, alpm_transflag_t flags)
Initialize the transaction.
int alpm_trans_prepare (alpm_handle_t *handle, alpm_list_t **data)
Prepare a transaction.
int alpm_trans_commit (alpm_handle_t *handle, alpm_list_t **data)
Commit a transaction.
int alpm_trans_interrupt (alpm_handle_t *handle)
Interrupt a transaction.
int alpm_trans_release (alpm_handle_t *handle)
Release a transaction.

Detailed Description

Functions to manipulate libalpm transactions.

Function Documentation

  int alpm_trans_commit (alpm_handle_t * handle, alpm_list_t ** data)

Commit a transaction.

References ALPM_EVENT_TRANSACTION_DONE, ALPM_EVENT_TRANSACTION_START, alpm_logaction(), ALPM_TRANS_FLAG_DOWNLOADONLY, and ALPM_TRANS_FLAG_NOLOCK.

  int alpm_trans_init (alpm_handle_t * handle, alpm_transflag_t flags)

Initialize the transaction.

References alpm_list_add(), alpm_pkg_get_arch(), ALPM_TRANS_FLAG_NOLOCK, __alpm_list_t::data, and __alpm_list_t::next.

  int alpm_trans_interrupt (alpm_handle_t * handle)

Interrupt a transaction.

Note:
    Safe to call from inside signal handlers.

  int alpm_trans_prepare (alpm_handle_t * handle, alpm_list_t ** data)

Prepare a transaction.

References alpm_list_free(), and ALPM_TRANS_FLAG_NODEPS.

  int alpm_trans_release (alpm_handle_t * handle)

Release a transaction.

References alpm_list_free(), alpm_list_free_inner(), and ALPM_TRANS_FLAG_NOLOCK.

Author

Generated automatically by Doxygen for libalpm from the source code.